Index: code/trunk/src/modules/docking/Dock.cc
===================================================================
--- code/trunk/src/modules/docking/Dock.cc	(revision 11052)
+++ code/trunk/src/modules/docking/Dock.cc	(revision 11071)
@@ -87,8 +87,8 @@
 
         PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
-        PlayerInfo* player = NULL;
+        PlayerInfo* player = nullptr;
 
         // Check whether it is a player trigger and extract pawn from it
-        if(pTrigger != NULL)
+        if(pTrigger != nullptr)
         {
             if(!pTrigger->isForPlayer()) {  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
@@ -103,5 +103,5 @@
             return false;
         }
-        if(player == NULL)
+        if(player == nullptr)
         {
             orxout(verbose, context::docking) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << endl;
@@ -131,8 +131,8 @@
     {
         PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
-        PlayerInfo* player = NULL;
+        PlayerInfo* player = nullptr;
 
         // Check whether it is a player trigger and extract pawn from it
-        if(pTrigger != NULL)
+        if(pTrigger != nullptr)
         {
             if(!pTrigger->isForPlayer()) {  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
@@ -147,5 +147,5 @@
             return false;
         }
-        if(player == NULL)
+        if(player == nullptr)
         {
             orxout(verbose, context::docking) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << endl;
@@ -214,7 +214,7 @@
     {
         PlayerInfo* player = HumanController::getLocalControllerSingleton()->getPlayer();
-        for(ObjectList<Dock>::iterator it = ObjectList<Dock>::begin(); it != ObjectList<Dock>::end(); ++it)
-        {
-            if(it->dock(player))
+        for(Dock* dock : ObjectList<Dock>())
+        {
+            if(dock->dock(player))
                 break;
         }
@@ -224,7 +224,7 @@
     {
         PlayerInfo* player = HumanController::getLocalControllerSingleton()->getPlayer();
-        for(ObjectList<Dock>::iterator it = ObjectList<Dock>::begin(); it != ObjectList<Dock>::end(); ++it)
-        {
-            if(it->undock(player))
+        for(Dock* dock : ObjectList<Dock>())
+        {
+            if(dock->undock(player))
                 break;
         }
@@ -295,7 +295,7 @@
         int i = 0;
         PlayerInfo* player = HumanController::getLocalControllerSingleton()->getPlayer();
-        for(ObjectList<Dock>::iterator it = ObjectList<Dock>::begin(); it != ObjectList<Dock>::end(); ++it)
-        {
-            if(it->candidates_.find(player) != it->candidates_.end())
+        for(Dock* dock : ObjectList<Dock>())
+        {
+            if(dock->candidates_.find(player) != dock->candidates_.end())
                 i++;
         }
@@ -306,14 +306,14 @@
     {
         PlayerInfo* player = HumanController::getLocalControllerSingleton()->getPlayer();
-        for(ObjectList<Dock>::iterator it = ObjectList<Dock>::begin(); it != ObjectList<Dock>::end(); ++it)
-        {
-            if(it->candidates_.find(player) != it->candidates_.end())
+        for(Dock* dock : ObjectList<Dock>())
+        {
+            if(dock->candidates_.find(player) != dock->candidates_.end())
             {
                 if(index == 0)
-                    return *it;
+                    return dock;
                 index--;
             }
         }
-        return NULL;
+        return nullptr;
     }
 
@@ -327,11 +327,11 @@
     const DockingEffect* Dock::getEffect(unsigned int i) const
     {
-        for (std::list<DockingEffect*>::const_iterator effect = this->effects_.begin(); effect != this->effects_.end(); ++effect)
+        for (DockingEffect* effect : this->effects_)
         {
             if(i == 0)
-               return *effect;
+               return effect;
             i--;
         }
-        return NULL;
+        return nullptr;
     }
 
@@ -346,11 +346,11 @@
     const DockingAnimation* Dock::getAnimation(unsigned int i) const
     {
-        for (std::list<DockingAnimation*>::const_iterator animation = this->animations_.begin(); animation != this->animations_.end(); ++animation)
+        for (DockingAnimation* animation : this->animations_)
         {
             if(i == 0)
-               return *animation;
+               return animation;
             i--;
         }
-        return NULL;
+        return nullptr;
     }
 }
Index: code/trunk/src/modules/docking/Dock.h
===================================================================
--- code/trunk/src/modules/docking/Dock.h	(revision 11052)
+++ code/trunk/src/modules/docking/Dock.h	(revision 11071)
@@ -65,6 +65,6 @@
 
             // XML interface
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             // XML functions
Index: code/trunk/src/modules/docking/DockToShip.cc
===================================================================
--- code/trunk/src/modules/docking/DockToShip.cc	(revision 11052)
+++ code/trunk/src/modules/docking/DockToShip.cc	(revision 11071)
@@ -72,5 +72,5 @@
 
         DockingTarget *target = DockingEffect::findTarget(this->target_);
-        if (target == NULL) {
+        if (target == nullptr) {
             orxout(internal_warning, context::docking) << "Can't retrieve target for '" << this->target_ << "'.." << endl;
             return false;
@@ -78,5 +78,5 @@
 
         ControllableEntity *dockTo = (ControllableEntity*) target->getParent();
-        if (dockTo == NULL) {
+        if (dockTo == nullptr) {
             orxout(internal_warning, context::docking) << "Parent is not a ControllableEntity.." << endl;
             return false;
Index: code/trunk/src/modules/docking/DockToShip.h
===================================================================
--- code/trunk/src/modules/docking/DockToShip.h	(revision 11052)
+++ code/trunk/src/modules/docking/DockToShip.h	(revision 11071)
@@ -60,10 +60,10 @@
             virtual ~DockToShip();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             void setTargetId(const std::string& str);
             const std::string& getTargetId() const;
 
-            virtual bool docking(PlayerInfo* player); //!< Called when docking starts
-            virtual bool release(PlayerInfo* player); //!< Called when player wants undock
+            virtual bool docking(PlayerInfo* player) override; //!< Called when docking starts
+            virtual bool release(PlayerInfo* player) override; //!< Called when player wants undock
         private:
             std::string target_;
Index: code/trunk/src/modules/docking/DockingAnimation.cc
===================================================================
--- code/trunk/src/modules/docking/DockingAnimation.cc	(revision 11052)
+++ code/trunk/src/modules/docking/DockingAnimation.cc	(revision 11071)
@@ -45,5 +45,5 @@
         RegisterObject(DockingAnimation);
 
-        this->parent_ = NULL;
+        this->parent_ = nullptr;
     }
 
@@ -57,10 +57,10 @@
         bool check = true;
 
-        for (std::list<DockingAnimation*>::iterator animation = animations.begin(); animation != animations.end(); animation++)
+        for (DockingAnimation* animation : animations)
         {
             if(dock)
-                check &= (*animation)->docking(player);
+                check &= animation->docking(player);
             else
-                check &= (*animation)->release(player);
+                check &= animation->release(player);
         }
 
Index: code/trunk/src/modules/docking/DockingController.cc
===================================================================
--- code/trunk/src/modules/docking/DockingController.cc	(revision 11052)
+++ code/trunk/src/modules/docking/DockingController.cc	(revision 11071)
@@ -44,7 +44,7 @@
         RegisterObject(DockingController);
 
-        this->dock_ = NULL;
-        this->player_ = NULL;
-        this->entity_ = NULL;
+        this->dock_ = nullptr;
+        this->player_ = nullptr;
+        this->entity_ = nullptr;
     }
 
@@ -122,5 +122,5 @@
         this->player_->startControl(this->entity_);
         this->setActive(false);
-        this->controllableEntity_ = NULL;
+        this->controllableEntity_ = nullptr;
 
         if (this->docking_)
Index: code/trunk/src/modules/docking/DockingController.h
===================================================================
--- code/trunk/src/modules/docking/DockingController.h	(revision 11052)
+++ code/trunk/src/modules/docking/DockingController.h	(revision 11071)
@@ -45,5 +45,5 @@
             virtual ~DockingController();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             void takeControl(bool docking);
@@ -53,5 +53,5 @@
 
         protected:
-            virtual void positionReached();
+            virtual void positionReached() override;
 
         private:
Index: code/trunk/src/modules/docking/DockingEffect.cc
===================================================================
--- code/trunk/src/modules/docking/DockingEffect.cc	(revision 11052)
+++ code/trunk/src/modules/docking/DockingEffect.cc	(revision 11071)
@@ -53,10 +53,10 @@
         bool check = true;
 
-        for (std::list<DockingEffect*>::iterator effect = effects.begin(); effect != effects.end(); effect++)
+        for (DockingEffect* effect : effects)
         {
             if (dock)
-                check &= (*effect)->docking(player);
+                check &= effect->docking(player);
             else
-                check &= (*effect)->release(player);
+                check &= effect->release(player);
         }
 
@@ -65,10 +65,10 @@
 
     DockingTarget *DockingEffect::findTarget(std::string name) {
-        for (ObjectList<DockingTarget>::iterator it = ObjectList<DockingTarget>::begin(); it != ObjectList<DockingTarget>::end(); ++it)
+        for (DockingTarget* target : ObjectList<DockingTarget>())
         {
-            if ((*it)->getName().compare(name) == 0)
-                return (*it);
+            if (target->getName().compare(name) == 0)
+                return target;
         }
-        return NULL;
+        return nullptr;
     }
 }
Index: code/trunk/src/modules/docking/DockingTarget.cc
===================================================================
--- code/trunk/src/modules/docking/DockingTarget.cc	(revision 11052)
+++ code/trunk/src/modules/docking/DockingTarget.cc	(revision 11071)
@@ -34,5 +34,4 @@
 #include "DockingTarget.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 
@@ -49,12 +48,4 @@
     {
     }
-
-    void DockingTarget::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(DockingTarget, XMLPort, xmlelement, mode);
-
-        orxout(verbose, context::docking) << "DockingTarget with name '" << this->getName() << "' created.." << endl;
-    }
-
 }
 
Index: code/trunk/src/modules/docking/DockingTarget.h
===================================================================
--- code/trunk/src/modules/docking/DockingTarget.h	(revision 11052)
+++ code/trunk/src/modules/docking/DockingTarget.h	(revision 11071)
@@ -58,6 +58,4 @@
             virtual ~DockingTarget();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
     };
 
Index: code/trunk/src/modules/docking/MoveToDockingTarget.h
===================================================================
--- code/trunk/src/modules/docking/MoveToDockingTarget.h	(revision 11052)
+++ code/trunk/src/modules/docking/MoveToDockingTarget.h	(revision 11071)
@@ -59,6 +59,6 @@
             virtual ~MoveToDockingTarget();
 
-            virtual bool docking(PlayerInfo* player); //!< Called when a player starts docking
-            virtual bool release(PlayerInfo* player); //!< Called when player wants to undock
+            virtual bool docking(PlayerInfo* player) override; //!< Called when a player starts docking
+            virtual bool release(PlayerInfo* player) override; //!< Called when player wants to undock
     };
 
